%define name	t4k_common
%define version	0.1.1

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Name:           %{name}
Version:        %{version}
Release:        %mkrel 5
Summary:        Tux4Kids common files
Group:          Games/Other
License:        GPLv3+
URL:            http://tux4kids.alioth.debian.org
Source0:        http://alioth.debian.org/frs/download.php/3439/%{name}-%{version}.tar.xz
Patch0:		    916060_bugfix.patch
Patch1:         libpng16.patch
#---------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_Pango-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}SDL_mixer-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}xml2-devel
#---------------------------------------

%description
Files shared by tuxmath, tuxtype, and possibly other Tux4Kids
apps in the future.

%package -n %{libname}
Summary:        Library of code shared between Tux4Kids apps
Group:          System/Libraries

%description -n %{libname}
Library of code shared by tuxmath, tuxtype, and possibly other tux4kids
apps in the future.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{libname}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

sed -i -e 's,AM_INIT_AUTOMAKE(\(.*\)),AM_INIT_AUTOMAKE(\[\1 subdir-objects\]),' configure.ac

%build
autoreconf -vfi

%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-doxygen-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 25 2019 tex 0.1.1-5pclos2019
- apply patch

* Fri Aug 22 2014 bb <bb> 0.1.1-4pclos2014
- rebuild for new directfb
